#############
# $Id: two.pm 12454 2011-01-26 10:59:47Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 2009-06-11
# Last Changed On: $Date: 2011-01-26 10:59:47 +0000 (Wed, 26 Jan 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-24.1/t/lib/npg_pipeline/pluggable/two.pm $


#######################
## This is an example schema module, which should be removed from production code


package npg_pipeline::pluggable::two;
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};

use base qw{npg_pipeline::pluggable};

our $VERSION = do { my ($r) = q$LastChangedRevision: 12454 $ =~ /(\d+)/mxs; $r; };

sub main {
  my ($self, @args) = @_;
  my $next_function = {
    none => q{_test_next},
    go => q{_test_last},
    next => q{_test_go},
    last => q{finish},
  }->{$self->completed_function()};
  return $self->$next_function(@args);
}

1;
__END__

=head1 NAME

  npg_pipeline::pluggable::two

=head1 VERSION

$LastChangedRevision: 12454 $

=head1 SYNOPSIS

This is an example schema module. For usage, see npg_pipeline::pluggable

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head2 main

For all methods, see npg_common::pluggable

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item Carp

=item English -no_match_vars

=item base

=item npg_pipeline::pluggable

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2009 Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
